package Texitheque::CGI::StockMessages;

use strict;
use warnings;

our $ls_Mode_File_Listing_Tip = 'Standard mode is a hyperlinked ls(1)
interface, with an additional root entry at top.';

our $Mini_Tree_Mode_File_Listing_Tip = 'Mini tree mode lists upper level
directories as you browse through the deeper levels directory tree.';

our $Contrib_Queue_Full = q{
<h2>Queue full.</h2>
<p>Sorry, we cannot accept submissions at this point as our incoming queue has
reached its maximum size.  Please try again later.</p>
<p>For comments or problems regarding submissions, please email the
@webmaster@.'</p>
<p>Thanks for your patience.</p>
};

our $Malformed_Post = 'Malformed POST. (This usually happens when you hit stop
  or connection timeouts before file upload is complete.)';

our $No_File_Uploaded = 'No file uploaded.';

our $Empty_Upload = 'Uploaded file could not be read. (This usually happens
when you try to upload a nonexistent or an empty file.)';

our $Uploaded_DSC_Extension = 'Please do not upload files ending with
<code>.DSC</code>.';

our $Uploaded_Dot_File = 'Please do not upload files starting with a dot.';

our $No_Name_Field = 'Name field not filled.';

our $Unallowed_Phrase_In_Name = 'Your name contained unallowed phrases.';

our $No_Email_Field = 'Email field not filled.';

our $Invalid_Email = 'Your email did not look valid.';

our $Unallowed_Phrase_In_Desc = 'Description had unallowed phrases.';

our $Mangled_Form = 'Mangled Form! (This means posted form had unset
variables.)';

our $Cannot_Save_Uploaded_File = 'Sorry, despite our exhaustive tries, we were
unable to save your uploaded file into a safe location.  Please contact the
@webmaster@. (<code style="font-size: 75%; color: #cccccc">@error@</code>)';

our $Cannot_Save_DSC_File = 'Sorry, despite our exhaustive tries, we were
unable to save the meta information about your file.  Please contact the
@webmaster@. (<code style="font-size: 75%; color: #cccccc">@error@</code>)';

our $Too_Many_Files_In_Queue = 'Too many files in the queue with the same
name (@count@).';

our $Cannot_Notify_Moderators = 'File saved but could not notify moderators.
Please contact the @webmaster@.';

our $File_Too_Big = 'You cannot send files larger than @maxsize@.';

our $Has_Errors = 'Please review these errors before resubmitting:';

our $Template_Error = q{
<html>
 <head><title>Template Error</title></head>
 <body>
  <h1>Template Error</h1>
  <p>Sorry, cannot find a usable template file, please email the
  @webmaster@.</p>
  <p>Thanks for your patience.</p>
 </body>
</html>
};

our $Directory_Read_Error = q{
<h1>Directory I/O Error</h1>
<p>Sorry, cannot read the specified directory, please email the
@webmaster@.</p>
<p>Thanks for your patience.</p>
<p><code style="font-size: 75%; color: #cccccc">Error: @error@</code></p>
};

our $All_OK = q{
<h2>All Ok.</h2>
<p>Your file <code>@file@</code> is in the incoming queue, and will appear in
the @archive@ section as soon as it is reviewed for validity.</p>
<p>For comments or problems regarding submissions, please email the
@webmaster@.</p>
<p>Thanks for your participation.</p>
};

our $File_Send_Form = q{
<table summary="File send form" border="0">
  <tr>
    <td><strong>Name:</strong></td>
    <td><input type="text" name="name" size="50" maxlength="120" value="@name@"></td>
    <td><em>e.g. Tim Janik</em></td>
  </tr>
  <tr>
    <td><strong>Email:</strong></td>
    <td><input type="text" name="email" size="50" maxlength="50" value="@email@"></td>
    <td><em>e.g. timj@beast.gtk.org</em></td>
  </tr>
  <tr>
    <td><strong>Description:</strong></td>
    <td><textarea name="desc" rows="10" cols="40">@desc@</textarea></td>
    <td><em>e.g. MyMusic is a funny test song</em></td>
  </tr>
  <tr>
    <td><strong>File:</strong></td>
    <td><input type="file" name="file" size="40" value="@file@"></td>
    <td><em>e.g. MyMusic.bse</em></td>
  </tr>
  <tr>
    <td></td>
    <td valign="bottom" align="left" style="height: 4em">
      <input type="submit" name="Submit" value="Submit">
    </td>
    <td></td>
  </tr>
</table>
};

our $Notify_Email_Subject = 'Please handle contrib submission @file@ from @name@';

our $Notify_Email_Body = q{
Sender: @name@ <@email@>
Filename: @file@
Description:
@desc@
};

our $Desc_File_Body = q{
<span class="file-sender">@name@ &lt;<a href="mailto:@email@">@email@</a>&gt;</span><br>

@html_desc@
};
